// MyDispParam.h : CMyDispParam ̐錾

#ifndef __MYDISPPARAM_H_
#define __MYDISPPARAM_H_

#include "resource.h"       // C V{

/////////////////////////////////////////////////////////////////////////////
// CMyDispParam
class ATL_NO_VTABLE CMyDispParam : 
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<CMyDispParam, &CLSID_MyDispParam>,
	public IDispatchImpl<IMyDispParam, &IID_IMyDispParam, &LIBID_DISPATLOBJLib>
{
public:
	CMyDispParam() : m_1(0), m_2(0)
	{
	}

DECLARE_REGISTRY_RESOURCEID(IDR_MYDISPPARAM)

DECLARE_PROTECT_FINAL_CONSTRUCT()

BEGIN_COM_MAP(CMyDispParam)
	COM_INTERFACE_ENTRY(IMyDispParam)
	COM_INTERFACE_ENTRY(IDispatch)
END_COM_MAP()

// IMyDispParam
public:
	long m_1;
	long m_2;
	STDMETHOD(get_m2)(/*[out, retval]*/ long *pVal);
	STDMETHOD(put_m2)(/*[in]*/ long newVal);
	STDMETHOD(get_m1)(/*[out, retval]*/ long *pVal);
	STDMETHOD(put_m1)(/*[in]*/ long newVal);
};

#endif //__MYDISPPARAM_H_
